--by flimflam/jim
FuBar_ST = AceLibrary("AceAddon-2.0"):new("AceDB-2.0","FuBarPlugin-2.0")
local dewdrop = AceLibrary("Dewdrop-2.0")
FuBar_ST:RegisterDB("FuBarSTDB");
FuBar_ST:RegisterDefaults("profile", {
	["minimapPosition"] = 250,
} );

FuBar_ST.hasIcon = "Interface\\Icons\\Spell_Shadow_SoulLeech_2";
FuBar_ST.hasNoColor = true
FuBar_ST.cannotHideText = true
FuBar_ST.cannotDetachTooltip = true
--FuBar_ST.defaultMinimapPosition = 250
FuBar_ST.title = "Sorren's Timers"
FuBar_ST.independentProfile = true;

local SortedAbilities = {};
local SortedEnemyAbilities = {};

function FuBar_ST:OnInitialize()
	
end


function FuBar_ST:OnEnable()
end

function FuBar_ST:SetUp()
	for skill in pairs(SorrenTimers.db.char.abilities) do
		table.insert(SortedAbilities, skill)
	end	
	table.sort(SortedAbilities)

	for skill in pairs(SorrenTimers.db.char.enemy) do
		table.insert(SortedEnemyAbilities, skill)
	end	
	table.sort(SortedEnemyAbilities)
	
	SorrenTimers.icon = self;
end

function FuBar_ST:OnMenuRequest(level, v1, intip, v2, v3, v4)
	-- LEVEL 1
	if level == 1 then
		
		-- BAR SETTINGS [LEVEL 1]
		dewdrop:AddLine("text", "Bar Settings", 
						"tooltipTitle", "Bar Settings",
						"tooltipText", "Default Bar Settings",		
						"value", "Bar Settings", 
						"hasArrow", true
						)
		
		-- GROUP OPTIONS [LEVEL 1]				
		dewdrop:AddLine("text", "Group Options", 
						"tooltipTitle", "Group Options",
						"tooltipText", "Bar Groupings",		
						"value", "Group Options", 
						"hasArrow", true
						)
						
		-- SKILL OPTIONS [LEVEL 1]
		dewdrop:AddLine("text", "Skill Options",
						"tooltipTitle", "Skill Options",
						"tooltipText", "Skill Options",		 
						"value", "Skill Options", 
						"hasArrow", true
						)
		
		-- ENEMY SKILL OPTIONS [LEVEL 1]				
		dewdrop:AddLine("text", "Enemy Skill Options",
						"tooltipTitle", "Enemy Skill Options",
						"tooltipText", "Enemy Skill Options",		 
						"value", "Enemy Skill Options", 
						"hasArrow", true
						)
		
		-- SEPERATOR [LEVEL 1]				
		dewdrop:AddLine("text", "",		 
						"value", "Seperator", 
						"notClickable", true
						)
		--show icon
		dewdrop:AddLine("text", "Hide Icon",
						"tooltipText", "Turns the icon off, /st showicon to get it back",
						"func",	function()
									SorrenTimers:SetIcon()
								end
						);
																		
	-- LEVEL 2
	elseif level == 2 then
	
		-- BAR SETTINGS [LEVEL 2]
		if v1 == "Bar Settings" then
			
			-- BAR COLORS [LEVEL 2]
			local BarColors = SorrenTimers:GetBarColors()
			dewdrop:AddLine("text", "Bar Colors", 
							"tooltipTitle", "Bar Colors",
							"tooltipText", "Set the default bar colors",				
							"hasArrow", true,
							"hasEditBox", true,
							"editBoxText", BarColors,
						    "editBoxFunc",	function(value)
												SorrenTimers:SetBarColors(value)
												return SorrenTimers:GetBarColors()
						    				end	
							)
				
			-- BAR SCALE [LEVEL 2]					
			local BarScale = SorrenTimers:GetBarScale()
			dewdrop:AddLine("text", "Bar Scale", 
							"tooltipTitle", "Bar Scale",
							"tooltipText", "Scale 0.5 to 2, may require a reloadui",						
							"hasArrow", true,
							"hasSlider", true, 
							"sliderMin", 0.5, 
							"sliderMax", 2,
							"sliderStep", 0.05,
							"sliderValue", BarScale,
						    "sliderFunc",	function(value)
												SorrenTimers:SetBarScale(value)
												return SorrenTimers:GetBarScale()
						    				end						
							)
			
			-- BAR FADE TIME [LEVEL 2]				
			local FadeTime = SorrenTimers:GetBarFade()
			dewdrop:AddLine("text", "Fade Time", 
							"tooltipTitle", "Fade Time",
							"tooltipText", "Time in seconds, negative time for sticky, 0 to disable",			
							"hasArrow", true,
							"hasSlider", true, 
							"sliderMin", -1, 
							"sliderMax", 5,
							"sliderStep", 0.5,
							"sliderValue", FadeTime,
						    "sliderFunc",	function(value)
												SorrenTimers:SetBarFade(value)
												return SorrenTimers:GetBarFade()
						    				end						
							)
							
		-- GROUP OPTIONS [LEVEL 2]														
		elseif v1 == "Group Options" then
		
			-- CREATE NEW [LEVEL 2]
			dewdrop:AddLine("text", "Create New",
							"tooltipTitle", "Create New",
							"tooltipText", "Make a new group",			 
							"hasArrow", true,
							"hasEditBox", true,
						    "editBoxFunc",	function(value)
												SorrenTimers:CreateGroup(value)
						    				end	
							)
			
			-- GROUP LISTING [LEVEL 2]				
			local SortedGroups = {};
			for groupName in pairs(SorrenTimers.db.char.groups) do
				table.insert(SortedGroups, groupName)
			end	
			table.sort(SortedGroups)							 		
			for _, groupName in pairs(SortedGroups) do 
				dewdrop:AddLine("text", groupName,				 
								"value", groupName, 
								"hasArrow", true
								) 
			end
			SortedGroups = nil;
		
		-- SKILL OPTIONS [LEVEL 2]	
		elseif v1 == "Skill Options" then	
			
			-- DISPLAY OPTIONS [LEVEL 2]
			dewdrop:AddLine("text", "Display Options",
							"tooltipTitle", "Display Options",
							"tooltipText", "Custom Display Options",			 
							"value", "Display Options", 
							"hasArrow", true
							)
							
			--diminishing returns options
			dewdrop:AddLine("text", "Diminishing Bar Options",
							"tooltipTitle", "Diminishing Returns Options",
							"tooltipText", "Settings for the Diminishing Return bars",			 
							"value", "Diminishing Options", 
							"hasArrow", true
							)
							
			-- SKILL LISTING [LEVEL 2]								
			for _, skillName in pairs(SortedAbilities) do
				if not SorrenTimers.db.char.abilities[skillName].diminish then
					dewdrop:AddLine("text", skillName, 
									"value", skillName, 
									"hasArrow", true
									)
				end
			end
		
		-- ENEMY SKILL OPTIONS	
		elseif v1 == "Enemy Skill Options" then	
			
			-- DISPLAY OPTIONS [LEVEL 2]
			dewdrop:AddLine("text", "Display Options",
							"tooltipTitle", "Display Options",
							"tooltipText", "Custom Display Options",			 
							"value", "Enemy Display Options", 
							"hasArrow", true
							)	
						
			-- ENEMY SKILL LISTING [LEVEL 2]					
			for _, skillName in pairs(SortedEnemyAbilities) do
				dewdrop:AddLine("text", skillName, 
								"value", skillName, 
								"hasArrow", true
								) 
			end			
		end	
		
	-- LEVEL 3
	elseif level == 3 then
		
		-- GROUP OPTIONS [LEVEL 3]	
		if v2 == "Group Options" then
			local GroupName = v1
			
			-- GROUP BAR COLOR [LEVEL 3]
			local BarColors = SorrenTimers.db.char.groups[GroupName].color
			if type(BarColors) == "table" then
				BarColors = SorrenTimers.db.char.groups[GroupName].color[1] .. " " .. SorrenTimers.db.char.groups[GroupName].color[2] .. " " .. SorrenTimers.db.char.groups[GroupName].color[3]
			else
				BarColors = ""
			end
			dewdrop:AddLine("text", "Bar Colors", 
							"tooltipTitle", "Bar Colors",
							"tooltipText", "Set the default bar colors",			
							"hasArrow", true,
							"hasEditBox", true,
							"editBoxText", BarColors,
						    "editBoxFunc",	function(value)
												SorrenTimers:SetGroupColor(GroupName .. " " .. value)
												if SorrenTimers.db.char.groups[GroupName].color then
													return SorrenTimers.db.char.groups[GroupName].color[1] .. " " .. SorrenTimers.db.char.groups[GroupName].color[2] .. " " .. SorrenTimers.db.char.groups[GroupName].color[3]
												end
											end
							)
			
			-- DELETE BAR [LEVEL 3]							
			dewdrop:AddLine("text", "Delete",
							"tooltipTitle", "Delete",
							"tooltipText", "Remove a group",				 
							"closeWhenClicked", true,
							"disabled", GroupName == "defaultgroup",
						    "func",	function(value)
										SorrenTimers:RemoveGroup(value)
						    		end,
						    "arg1", GroupName
							) 
			
			-- BAR GROWTH [LEVEL 3]
			local isGrowing = SorrenTimers.db.char.groups[GroupName].up
			dewdrop:AddLine("text", "Grow Upwards", 
							"tooltipTitle", "Grow Upwards",
							"tooltipText", "Toggles whether bars grow upwards or downwards",			
							"checked", isGrowing,
						    "func",	function(group)
										SorrenTimers:ToggleGrowth(group)
						    		end,
						    "arg1", GroupName
							) 	
			
			-- LOCK BAR [LEVEL 3]														
			local islocked = (SorrenTimers.db.char.anchors["STAnchor"..GroupName].unlocked == false)
			dewdrop:AddLine("text", "Lock", 
							"tooltipTitle", "Lock",
							"tooltipText", "Lock/Unlock a group Position",			
							"checked", islocked,
						    "func",	function(group)
						    			if islocked then
						    				SorrenTimers:UnlockAnchor(group)
										else
											SorrenTimers:LockAnchor(group)
										end
						    		end,
						    "arg1", GroupName
							) 
			
			-- TEST BAR [LEVEL 3]
			dewdrop:AddLine("text", "Test bar", 
							"tooltipTitle", "Test bar",
							"tooltipText", "Start/Stop 5m test bar timer",
							"checked", SorrenTimers:IsCandyBarRegistered(GroupName.."testbar"),
							"closeWhenClicked", true,
						    "func",	function()
										SorrenTimers:OnAnchorClick(GroupName, true)
						    		end
							)
		-- SKILL OPTIONS [LEVEL 3]												
		elseif v2 == "Skill Options" then
			
			-- DISPLAY OPTIONS
			if v1 == "Display Options" then
				
				-- DISPLAY [LEVEL 3]
				dewdrop:AddLine("text", "Display", 
								"tooltipTitle", "Display",
								"tooltipText", "Sets how skills without targets will display\n\nUse $name for placing the skill name, \"empty\" to show an empty bar",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers:GetSkillString(),
							    "editBoxFunc",	function(value)
													SorrenTimers:SetSkillString(value)
													SorrenTimers:Print("Skill Display is now set to [" .. SorrenTimers:GetSkillString() .. "]")
													return SorrenTimers:GetSkillString()
												end
								)
				
				-- DISPLAY [LEVEL 3]
				dewdrop:AddLine("text", "Target Display", 
								"tooltipTitle", "Target Display",
								"tooltipText", "Sets how skills with targets will display\n\nUse $name for placing the skill name, $target for placing skill target, \"empty\" to show an empty bar, ex $name - $target",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers:GetTargetSkillString(),
							    "editBoxFunc",	function(value)
													SorrenTimers:SetTargetSkillString(value)
													SorrenTimers:Print("Target Display is now set to [" .. SorrenTimers:GetTargetSkillString() .. "]")
													return SorrenTimers:GetTargetSkillString()
												end
								)
				
				dewdrop:AddLine("text", "Diminish Display", 
								"tooltipTitle", "Diminish Display",
								"tooltipText", "Sets how diminishing returns bars will display\n\nUse $name for placing the skill name, $target for placing skill target, and $count for how many casts left until Immune, \"empty\" to show an empty bar, ex $name - $target",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers:GetDiminishString(),
							    "editBoxFunc",	function(value)
													SorrenTimers:SetDiminishString(value)
													SorrenTimers:Print("Diminish Display is now set to [" .. SorrenTimers:GetDiminishString() .. "]")
													return SorrenTimers:GetDiminishString()
												end
								)
			--diminishing options
			elseif v1 == "Diminishing Options" and skillSet.diminish then
				--diminishing colors
				dewdrop:AddLine("text", "Diminish Colors", 
								"tooltipTitle", "Diminishing Returns Colors",
								"tooltipText", "Sets the default colors for diminishing returns, ex: red red red",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers:GetDiminishColors(),
							    "editBoxFunc",	function(value)
													SorrenTimers:SetDiminishColors(value)
													SorrenTimers:Print("Diminish colors now set to [" .. SorrenTimers:GetDiminishColors() .. "]")
													return SorrenTimers:GetDiminishColors()
												end
								)
				--diminishing default group
				dewdrop:AddLine("text", "Diminish Group",
								"tooltipTitle", "Set Default Diminish Group",
								"tooltipText", "Sets the default group for diminishing return bars to appear in",			 
								"value", "Set Diminish Group", 
								"hasArrow", true
								)
				--diminishing options
				for skillName in pairs(skillSet.diminish) do
					dewdrop:AddLine("text", skillName, 
									"value", skillName, 
									"hasArrow", true
									)
				end
			-- SKILL LIST [LEVEL 3]								
			else
				local skillName = v1
				
				-- ENABLE SKILL [LEVEL 3]														
				local isEnabled = SorrenTimers.db.char.abilities[skillName].enable
				dewdrop:AddLine("text", "Enable", 
								"value", "Enable",
								"tooltipTitle", "Enable",
								"tooltipText", "Enable/Disable tracking for the ability",							
								"checked", isEnabled,
							    "func",	function()
							    			if isEnabled then
							    				SorrenTimers:DisableSkill(skillName)
							    			else
							    				SorrenTimers:EnableSkill(skillName)
											end
							    		end
								)
				
				-- DISPLAY NAME [LEVEL 3]				
				dewdrop:AddLine("text", "Display Name", 
								"tooltipTitle", "Display Name",
								"tooltipText", "Sets the display name for the skill\n\nUse \"reset\" to reset",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers.db.char.abilities[skillName].name,
							    "editBoxFunc",	function(value)
													SorrenTimers:SetSkillDisplay(skillName.."-"..value)
													return SorrenTimers.db.char.abilities[skillName].name
												end
								)	
				
				-- SET SKILL GROUP [LEVEL 3]																			
				dewdrop:AddLine("text", "Set Group",
								"tooltipTitle", "Set Group",
								"tooltipText", "Sets a skill's group",			 
								"value", "Set Group", 
								"hasArrow", true
								)
				
				-- SET SKILL COLOR [LEVEL 3]											
				local SkillColor = SorrenTimers.db.char.abilities[skillName].color
				if type(SkillColor) == "table" then
					SkillColor = SorrenTimers.db.char.abilities[skillName].color[1] .. " " .. SorrenTimers.db.char.abilities[skillName].color[2] .. " " .. SorrenTimers.db.char.abilities[skillName].color[3]
				else
					SkillColor = ""
				end			
				dewdrop:AddLine("text", "Skill Color",
								"tooltipTitle", "Skill Color",
								"tooltipText", "Set the default bar color for a skill (overrides group coloring)",			 
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SkillColor,
							    "editBoxFunc",	function(value)
													SorrenTimers:SetSkillColor(skillName .. " " .. value)
													if SorrenTimers.db.char.abilities[skillName].color then
														return SorrenTimers.db.char.abilities[skillName].color[1] .. " " .. SorrenTimers.db.char.abilities[skillName].color[2] .. " " .. SorrenTimers.db.char.abilities[skillName].color[3]
													end											
							    				end
								)
				
				-- SKILL FADE TIME [LEVEL 3]
				dewdrop:AddLine("text", "Skill Fade Time", 
								"value", "Skill Fade Time", 
								"tooltipTitle", "Skill Fade Time",
								"tooltipText", "Custom fade time for skills",							
								"hasArrow", true
								) 
			end
		
		-- ENEMY SKILL OPTIONS [LEVEL 3]					
		elseif v2 == "Enemy Skill Options" then
		
			-- ENEMY DISPLAY OPTIONS [LEVEL 3]
			if v1 == "Enemy Display Options" then
				
				-- ENEMY DISPLAY [LEVEL 3]
				dewdrop:AddLine("text", "Display", 
								"tooltipTitle", "Display",
								"tooltipText", "Sets how enemy skills without targets will display\n\nUse $name for placing the enemy skill name, \"empty\" to show an empty bar",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers:GetEnemySkillString(),
							    "editBoxFunc",	function(value)
													SorrenTimers:SetEnemySkillString(value)
													SorrenTimers:Print("Display is now set to [" .. SorrenTimers:GetEnemySkillString() .. "]")
													return SorrenTimers:GetEnemySkillString()
												end
								)
			
			-- ENEMY SKILL LIST	[LEVEL 3]				
			else		
				local skillName = v1
				
				-- ENEMY ENABLE [LEVEL 3]
				local isEnabled = SorrenTimers.db.char.enemy[skillName].enable
				dewdrop:AddLine("text", "Enable", 
								"value", "Enable",
								"tooltipTitle", "Enable",
								"tooltipText", "Enable/Disable tracking for the enemy ability",							
								"checked", isEnabled,
							    "func",	function()
							    			if isEnabled then
							    				SorrenTimers:DisableEnemySkill(skillName)
							    			else
							    				SorrenTimers:EnableEnemySkill(skillName)
											end
							    		end
								)
				
				-- ENEMY DISPLAY [LEVEL 3]
				dewdrop:AddLine("text", "Display", 
								"tooltipTitle", "Display",
								"tooltipText", "Sets how enemy skills will display\n\nUse $name for placing the skill name, $target for the enemy name, \"empty\" to show an empty bar, ex: $name - $target",			
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SorrenTimers:GetEnemySkillString(),
							    "editBoxFunc",	function(value)
													SorrenTimers:SetEnemySkillString(value)
													SorrenTimers:Print("Enemy Display is now set to [" .. SorrenTimers:GetEnemySkillString() .. "]")
													return SorrenTimers:GetEnemySkillString()
												end
								)
					
				-- ENEMY SET GROUP [LEVEL 3]														
				dewdrop:AddLine("text", "Set Group",
								"value", "Set Enemy Group",			
								"tooltipTitle", "Set Group",
								"tooltipText", "Sets a enemy skill's group",			  
								"hasArrow", true
								)
				
				-- ENEMY SKILL COLOR [LEVEL 3]				
				local SkillColor = SorrenTimers.db.char.enemy[skillName].color
				if type(SkillColor) == "table" then
					SkillColor = SorrenTimers.db.char.enemy[skillName].color[1] .. " " .. SorrenTimers.db.char.enemy[skillName].color[2] .. " " .. SorrenTimers.db.char.enemy[skillName].color[3]
				else
					SkillColor = ""
				end			
				dewdrop:AddLine("text", "Skill Color",
								"tooltipTitle", "Skill Color",
								"tooltipText", "Set the default bar color for an enemy skill (overrides group coloring)",			 
								"hasArrow", true,
								"hasEditBox", true,
								"editBoxText", SkillColor,
							    "editBoxFunc",	function(value)
													SorrenTimers:SetEnemySkillColor(skillName .. " " .. value)
													if SorrenTimers.db.char.enemy[skillName].color then
														return SorrenTimers.db.char.enemy[skillName].color[1] .. " " .. SorrenTimers.db.char.enemy[skillName].color[2] .. " " .. SorrenTimers.db.char.enemy[skillName].color[3]
													end											
							    				end
								)
				
				
				-- ENEMY SKILL FADE TIME [LEVEL 3]
				dewdrop:AddLine("text", "Skill Fade Time", 
								"value", "Enemy Skill Fade Time",
								"tooltipTitle", "Skill Fade Time",
								"tooltipText", "Custom fade time for enemy skills",							 
								"hasArrow", true
								)
			end 
										
		end
		
	-- LEVEL 4
	elseif level == 4 then	
		local skillName = v2
		
		-- SKILL FADE TIME [LEVEL 4]		
		if v1 == "Skill Fade Time" then	
										
			local FadeTime = SorrenTimers.db.char.abilities[skillName].fade
			
			-- CUSTOM FADE TIME [LEVEL 4]
			dewdrop:AddLine("text", "Custom Fade Time", 
							"value", "Custom Fade Time",
							"tooltipTitle", "Custom Fade Time",
							"tooltipText", "Enable/Disable custom fade time",							
							"checked", FadeTime,
							"func",	function()
										if FadeTime then
											SorrenTimers.db.char.abilities[skillName].fade = nil
										else
											SorrenTimers.db.char.abilities[skillName].fade = SorrenTimers:GetBarFade();
										end
									end
							)	
			
			-- SKILL FADE TIME [LEVEL 4]												
			dewdrop:AddLine("text", "Skill Fade Time", 
							"tooltipTitle", "Skill Fade Time",
							"tooltipText", "Time in seconds, negative time for sticky, 0 to disable",
							"disabled", not FadeTime,				
							"hasArrow", true,
							"hasSlider", true, 
							"sliderMin", -1, 
							"sliderMax", 5,
							"sliderStep", 0.5,
							"sliderValue", FadeTime,
						    "sliderFunc",	function(value)
												SorrenTimers:SetSkillFade(skillName .. " " .. value)
												return SorrenTimers.db.char.abilities[skillName].fade
						    				end				
							)
							
		-- ENEMY SKILL FADE TIME [LEVEL 4]
		elseif v1 == "Enemy Skill Fade Time" then	
										
			local FadeTime = SorrenTimers.db.char.enemy[skillName].fade
			
			-- ENEMY CUSTOM FADE TIME [LEVEL 4]
			dewdrop:AddLine("text", "Custom Fade Time", 
							"value", "Custom Enemy Fade Time",
							"tooltipTitle", "Custom Fade Time",
							"tooltipText", "Enable/Disable custom enemy fade time",							
							"checked", FadeTime,
							"func",	function()
										if FadeTime then
											SorrenTimers.db.char.enemy[skillName].fade = nil
										else
											SorrenTimers.db.char.enemy[skillName].fade = SorrenTimers:GetBarFade();
										end
									end
							)	
			
			-- ENEMY SKILL FADE TIME [LEVEL 4]												
			dewdrop:AddLine("text", "Skill Fade Time", 
							"tooltipTitle", "Skill Fade Time",
							"tooltipText", "Time in seconds, negative time for sticky, 0 to disable",
							"disabled", not FadeTime,				
							"hasArrow", true,
							"hasSlider", true, 
							"sliderMin", -1, 
							"sliderMax", 5,
							"sliderStep", 1,
							"sliderValue", FadeTime,
						    "sliderFunc",	function(value)
												SorrenTimers:SetEnemySkillFade(skillName .. " " .. value)
												return SorrenTimers.db.char.enemy[skillName].fade
						    				end				
							)
		
		-- SET GROUP [LEVEL 4]					
		elseif v1 == "Set Group" then
		
			-- SET GROUP [LEVEL 4]
			for groupName in pairs(SorrenTimers.db.char.groups) do 
				local isRegistered = (SorrenTimers.db.char.abilities[skillName].group == groupName)
				dewdrop:AddLine("text", groupName, 					
								"value", groupName,
								"checked", isRegistered,
							    "func",	function()
											SorrenTimers:SetSkillGroup(skillName .. " " .. groupName)
							    		end
								)
			end
			
		--set diminish group
		elseif v1 == "Set Diminish Group" then
			--default value
			dewdrop:AddLine("text", "The group of whatever skill triggers it", 					
							"value", "reset",
							"checked", not SorrenTimers.db.char.diminish.group,
							"func",	function()
										SorrenTimers:SetDiminishGroup("-reset")
									end
							)
			--other values
			for groupName in pairs(SorrenTimers.db.char.groups) do 
				local isRegistered = (SorrenTimers.db.char.diminish.group == groupName)
				dewdrop:AddLine("text", groupName, 					
								"value", groupName,
								"checked", isRegistered,
							    "func",	function()
											SorrenTimers:SetDiminishGroup(groupName)
							    		end
								)
			end
		
		-- SET ENEMY GROUP [LEVEL 4]	
		elseif v1 == "Set Enemy Group" then
		
			-- SET ENEMY GROUP [LEVEL 4]
			for groupName in pairs(SorrenTimers.db.char.groups) do 
				local isRegistered = (SorrenTimers.db.char.enemy[skillName].group == groupName)
				dewdrop:AddLine("text", groupName, 					
								"value", groupName,
								"checked", isRegistered,
							    "func",	function()
											SorrenTimers:SetEnemySkillGroup(skillName .. " " .. groupName)
							    		end
								)
			end
		else
			local skillName = v1;
				
					-- ENABLE DIMINISH [LEVEL 4]														
					local isEnabled = SorrenTimers.db.char.abilities[skillName].enable
					dewdrop:AddLine("text", "Enable", 
									"value", "Enable",
									"tooltipTitle", "Enable",
									"tooltipText", "Enable/Disable tracking for the ability",							
									"checked", isEnabled,
								    "func",	function()
								    			if isEnabled then
								    				SorrenTimers:DisableSkill(skillName)
								    			else
								    				SorrenTimers:EnableSkill(skillName)
												end
								    		end
									)
					
					-- SET DIMINISH NAME [LEVEL 4]				
					dewdrop:AddLine("text", "Display Name", 
									"tooltipTitle", "Display Name",
									"tooltipText", "Sets the display name for the skill\n\nUse \"reset\" to reset",			
									"hasArrow", true,
									"hasEditBox", true,
									"editBoxText", SorrenTimers.db.char.abilities[skillName].name,
								    "editBoxFunc",	function(value)
														SorrenTimers:SetSkillDisplay(skillName.."-"..value)
														return SorrenTimers.db.char.abilities[skillName].name
													end
									)	
					
					-- SET DIMINISH GROUP [LEVEL 4]																			
					dewdrop:AddLine("text", "Set Group",
									"tooltipTitle", "Set Group",
									"tooltipText", "Sets a skill's group",			 
									"value", "Set Group", 
									"hasArrow", true
									)
					
					-- SET DIMINISH COLOR [LEVEL 4]											
					local SkillColor = SorrenTimers.db.char.abilities[skillName].color
					if type(SkillColor) == "table" then
						SkillColor = SorrenTimers.db.char.abilities[skillName].color[1] .. " " .. SorrenTimers.db.char.abilities[skillName].color[2] .. " " .. SorrenTimers.db.char.abilities[skillName].color[3]
					else
						SkillColor = ""
					end			
					dewdrop:AddLine("text", "Skill Color",
									"tooltipTitle", "Skill Color",
									"tooltipText", "Set the default bar color for a skill (overrides group coloring)",			 
									"hasArrow", true,
									"hasEditBox", true,
									"editBoxText", SkillColor,
								    "editBoxFunc",	function(value)
														SorrenTimers:SetSkillColor(skillName .. " " .. value)
														if SorrenTimers.db.char.abilities[skillName].color then
															return SorrenTimers.db.char.abilities[skillName].color[1] .. " " .. SorrenTimers.db.char.abilities[skillName].color[2] .. " " .. SorrenTimers.db.char.abilities[skillName].color[3]
														end											
								    				end
									)
					
					-- DIMINISH FADE TIME [LEVEL 4]
					dewdrop:AddLine("text", "Skill Fade Time", 
									"value", "Skill Fade Time", 
									"tooltipTitle", "Skill Fade Time",
									"tooltipText", "Custom fade time for skills",							
									"hasArrow", true
									) 
		end
	elseif level == 5 then
		local skillName = v2;
		if v1 == "Skill Fade Time" then	
										
			local FadeTime = SorrenTimers.db.char.abilities[skillName].fade
			
			-- CUSTOM FADE TIME [LEVEL 4]
			dewdrop:AddLine("text", "Custom Fade Time", 
							"value", "Custom Fade Time",
							"tooltipTitle", "Custom Fade Time",
							"tooltipText", "Enable/Disable custom fade time",							
							"checked", FadeTime,
							"func",	function()
										if FadeTime then
											SorrenTimers.db.char.abilities[skillName].fade = nil
										else
											SorrenTimers.db.char.abilities[skillName].fade = SorrenTimers:GetBarFade();
										end
									end
							)	
			
			-- SKILL FADE TIME [LEVEL 4]												
			dewdrop:AddLine("text", "Skill Fade Time", 
							"tooltipTitle", "Skill Fade Time",
							"tooltipText", "Time in seconds, negative time for sticky, 0 to disable",
							"disabled", not FadeTime,				
							"hasArrow", true,
							"hasSlider", true, 
							"sliderMin", -1, 
							"sliderMax", 5,
							"sliderStep", 0.5,
							"sliderValue", FadeTime,
						    "sliderFunc",	function(value)
												SorrenTimers:SetSkillFade(skillName .. " " .. value)
												return SorrenTimers.db.char.abilities[skillName].fade
						    				end				
							)
			elseif v1 == "Set Group" then
		
			-- SET GROUP [LEVEL 4]
			dewdrop:AddLine("text", "Diminish Default Group", 					
							"value", "Diminish Default Group",
							"checked", not SorrenTimers.db.char.abilities[skillName].group,
							"func",	function()
										SorrenTimers:ResetDiminishGroup(skillName)
									end
							)
			for groupName in pairs(SorrenTimers.db.char.groups) do 
				local isRegistered = (SorrenTimers.db.char.abilities[skillName].group == groupName)
				dewdrop:AddLine("text", groupName, 					
								"value", groupName,
								"checked", isRegistered,
							    "func",	function()
											SorrenTimers:SetSkillGroup(skillName .. " " .. groupName)
							    		end
								)
			end
		end
	end
end


local tablet = AceLibrary("Tablet-2.0")
function FuBar_ST:OnTooltipUpdate()    
    tablet:SetHint("Right Click to view menu.")
    -- as a rule, if you have an OnClick or OnDoubleClick or OnMouseUp or OnMouseDown, you should set a hint.
end

function FuBar_ST:OnClick()
	FuBar_ST:OpenMenu()
end

function FuBar_ST:OnTextUpdate()
    self:SetText("[ST]")
end