local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetDruid() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			-- Balance Spells
			[L["Cyclone"] ] = {
				["level"] = 70,
				["icon"] = "Interface\\Icons\\Spell_Nature_EarthBind",
				["target"] = true,
				["group"] = "default",
				["duration"] = 6,
				["diminishing"] = L["Cyclone Effect"],
			},
			[BS["Entangling Roots"] ] = {
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_StrangleVines",
				["target"] = true,
				["group"] = "default",
				["ranks"] = { 12, 15, 18, 21, 24, 27, 27 },
				["diminishing"] = L["Roots Effect"],
			},
			[BS["Faerie Fire"] ] = {
				["enable"] = true,
				["duration"] = 40,
				["icon"] = "Interface\\Icons\\Spell_Nature_FaerieFire",
				["target"] = true,
				["group"] = "default",
				["stop"] = {
					BS["Faerie Fire (Feral)"],
				},
				["stopunit"] = true,
			},
			[BS["Hibernate"] ] = {
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Sleep",
				["target"] = true,
				["group"] = "default",
				["ranks"] = { 20, 30, 40 },
			},
			[BS["Innervate"] ] = {
				["enable"] = true,
				["duration"] = 20,
				["icon"] = "Interface\\Icons\\Spell_Nature_Lightning",
				["group"] = "default",
				["target"] = true,
			},
			[BS["Insect Swarm"] ] = {
				["duration"] = 12,
				["icon"] = "Interface\\Icons\\Spell_Nature_InsectSwarm",
				["target"] = true,
				["group"] = "default",
				["talent"] = {
					["tab"] = 1,
					["num"] = 8,
					["enable"] = true,
				},
			},
			[BS["Moonfire"] ] = {
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_StarFall",
				["target"] = true,
				["group"] = "default",
				["ranks"] = { 9, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12 },
			},
			[BS["Nature's Grasp"] ] = {
				["talent"] = {
					["tab"] = 1,
					["num"] = 2,
					["enable"] = true,
				},
				["afflict"] = BS["Entangling Roots"],
			},
			[BS["Soothe Animal"] ] = {
				["enable"] = true,
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Ability_Hunter_BeastSoothe",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Starfire"] ] = {
				["talent"] = {
					["tab"] = 1,
					["num"] = 11,
					["buff"] = BS["Improved Starfire"],
				},
			},

			-- Feral Abilities
			[BS["Bash"] ] = {
				["enable"] = true,
				["afflict"] = BS["Bash"],
			},
			[BS["Challenging Roar"] ] = {
				["enable"] = true,
				["aoeafflict"] = BS["Challenging Roar"],
			},
			[BS["Demoralizing Roar"] ] = {
				["enable"] = true,
				["aoeafflict"] = BS["Demoralizing Roar"],
				["refresh"] = BS["Demoralizing Roar"],
			},
			[BS["Faerie Fire (Feral)"] ] = {
				["duration"] = 40,
				["icon"] = "Interface\\Icons\\Spell_Nature_FaerieFire",
				["target"] = true,
				["group"] = "default",
				["stop"] = {
					BS["Faerie Fire"],
				},
				["stopunit"] = true,
				["talent"] = {
					["tab"] = 2,
					["num"] = 14,
					["enable"] = true,
				},
			},
			[BS["Feral Charge"] ] = {
				["talent"] = {
					["tab"] = 2,
					["num"] = 7,
					["enable"] = true,
				},
				["afflict"] = L["Feral Charge Effect"],
			},
			[BS["Growl"] ] = {
				["enable"] = true,
				["afflict"] = BS["Growl"],
			},
			[L["Lacerate"] ] = {
				["level"] = 66,
				["afflict"] = L["Lacerate"],
				["refresh"] = L["Lacerate"],
			},
			[L["Maim"] ] = {
				["level"] = 62,
				["points"] = { 2, 3, 4, 5, 6 },
				["icon"] = "Interface\\Icons\\Ability_Druid_Mangle_tga",
				["target"] = true,
				["group"] = default,
			},
			[BS["Mangle (Cat)"] ] = {
				["duration"] = 10,
				["icon"] = "Interface\\Icons\\Ability_Druid_Mangle2",
				["target"] = true,
				["group"] = "default",
				["talent"] = {
					["tab"] = 2,
					["num"] = 22,
					["enable"] = true,
				},
			},
			[BS["Mangle (Bear)"] ] = {
				["duration"] = 10,
				["icon"] = "Interface\\Icons\\Ability_Druid_Mangle2",
				["target"] = true,
				["group"] = "default",
				["talent"] = {
					["tab"] = 2,
					["num"] = 22,
					["enable"] = true,
				},
			},
			[BS["Pounce"] ] = {
				["enable"] = true,
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\Ability_Druid_SupriseAttack",
				["target"] = true,
				["group"] = "default",
				["talent"] = {
					["tab"] = 2,
					["num"] = 4,
					["duration"] = 0.5,
				},
				["afflict"] = BS["Pounce Bleed"],
			},
			[BS["Rake"] ] = {
				["enable"] = true,
				["duration"] = 9,
				["icon"] = "Interface\\Icons\\Ability_Druid_Disembowel",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Rip"] ] = {
				["enable"] = true,
				["afflict"] = BS["Rip"],
				["refresh"] = BS["Rip"],
			},

			-- Restoration Spells
			[BS["Abolish Poison"] ] = {
				["enable"] = true,
				["duration"] = 8,
				["icon"] = "Interface\\Icons\\Spell_Nature_NullifyPoison_02",
				["group"] = "default",
				["target"] = true,
			},
			[L["Lifebloom"] ] = {
				["level"] = 64,
				["duration"] = 7,
				["icon"] = "Interface\\Icons\\INV_Misc_Herb_Felblossom",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Rejuvenation"] ] = {
				["enable"] = true,
				["duration"] = 12,
				["icon"] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
				["group"] = "default",
				["target"] = true,
			},
		},

		["debuffs"] = { --'afflict' spells
			-- Balance Debuffs
			[BS["Entangling Roots"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_StrangleVines",
				["target"] = true,
				["group"] = "default",
				["ranks"] = { 12, 15, 18, 21, 24, 27, 27 },
				["diminishing"] = L["Roots Effect"],
			},
			[BS["Improved Starfire"] ] = {
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\Spell_Arcane_StarFire",
				["target"] = true,
				["group"] = "default",
			},

			-- Feral Debuffs
			[BS["Bash"] ] = {
				["icon"] = "Interface\\Icons\\Ability_Druid_Bash",
				["target"] = true,
				["group"] = "default",
				["ranks"] = { 2, 3, 4 },
				["talent"] = {
					["tab"] = 2,
					["num"] = 4,
					["duration"] = 0.5,
				},
			},
			[L["Feral Charge Effect"] ] = {
				["duration"] = 4,
				["icon"] = "Interface\\Icons\\Ability_Hunter_Pet_Bear",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Growl"] ] = {
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\Ability_Physical_Taunt",
				["target"] = true,
				["group"] = "default",
			},
			[L["Lacerate"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Ability_Druid_Lacerate",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Pounce Bleed"] ] = {
				["duration"] = 18,
				["icon"] = "Interface\\Icons\\Ability_Druid_SupriseAttack",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Rip"] ] = {
				["duration"] = 12,
				["icon"] = "Interface\\Icons\\Ability_GhoulFrenzy",
				["target"] = true,
				["group"] = "default",
			},
		},
		["buffs"] = { --'gain' spells
		},
		["aoeDebuffs"] = {
			-- Feral AoE Debuffs
			[BS["Challenging Roar"] ] = {
				["duration"] = 6,
				["icon"] = "Interface\\Icons\\Ability_Druid_ChallangingRoar",
				["group"] = "default",
			},
			[BS["Demoralizing Roar"] ] = {
				["duration"] = 30,
				["icon"] = "Interface\\Icons\\Ability_Druid_DemoralizingRoar",
				["group"] = "default",
			},
		},
		["castSpells"] = {
			-- Balance Spell Casts
			[L["Force of Nature"] ] = {
				["talent"] = {
					["tab"] = 1,
					["num"] = 21,
					["enable"] = true,
				},
				["duration"] = 30,
				["icon"] = "Interface\\Icons\\Ability_Druid_ForceofNature",
				["group"] = "default",
			},

			-- Restoration Spell Casts
			[BS["Regrowth"] ] = {
				["enable"] = true,
				["duration"] = 21,
				["icon"] = "Interface\\Icons\\Spell_Nature_ResistNature",
				["target"] = true,
				["group"] = "default",
			},
		},
		["castDamageSpells"] = {
		},
		["special"] = {
		},
		["diminish"] = {
			-- Balance Diminishing Returns
			[L["Roots Effect"] ] = {},
			[L["Cyclone Effect"] ] = {},
		},
	}, BS["Mark of the Wild"];
end