local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetHunter() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Serpent Sting"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Ability_Hunter_Quickshot",
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["stop"] = { BS["Scorpid Sting"], BS["Viper Sting"] },
				["stopunit"] = true,
			},
			[BS["Scorpid Sting"] ] = {
				["duration"] = 20,
				["icon"] = "Interface\\Icons\\Ability_Hunter_CriticalShot",
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["stop"] = { BS["Serpent Sting"], BS["Viper Sting"] },
				["stopunit"] = true,
			},
			[BS["Viper Sting"] ] = {
				["duration"] = 8,
				["icon"] = "Interface\\Icons\\Ability_Hunter_AimedShot",
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["stop"] = { BS["Serpent Sting"], BS["Scorpid Sting"] },
				["stopunit"] = true,
			},
			[L["Silencing Shot"] ] = {
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\Ability_TheBlackArrow",
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["group"] = "default",
			},
			[BS["Freezing Trap"] ] = {
				["duration"] = 60,
				["icon"] = "Interface\\Icons\\Spell_Frost_ChainsOfice",
				["enable"] = true,
				["afflict"] = BS["Freezing Trap Effect"],
				["stop"] = {
					BS["Immolation Trap"],
					BS["Frost Trap"],
					BS["Explosive Trap"],
					L["Snake Trap"],
				},
				["group"] = "default",
				["start"] = L["Trap Arming"],
			},
			[BS["Feed Pet"] ] = {
				["duration"] = 20,
				["icon"] = "Interface\\Icons\\Ability_Hunter_BeastTraining",
				["enable"] = true,
				["group"] = "default",
			},
			[BS["Scatter Shot"] ] = {
				["afflict"] = BS["Scatter Shot"],
				["enable"] = true,
				["hostile"] = 1,
				["target"] = true,
			},
			[BS["Immolation Trap"] ] = {
				["duration"] = 60,
				["icon"] = "Interface\\Icons\\Spell_Fire_FlameShock",
				["enable"] = true,
				["afflict"] = BS["Immolation Trap Effect"],
				["stop"] = {
					BS["Freezing Trap"],
					BS["Frost Trap"],
					BS["Explosive Trap"],
					L["Snake Trap"],
				},
				["start"] = L["Trap Arming"],
				["group"] = "default",
			},
			[BS["Frost Trap"] ] = {
				["duration"] = 60,
				["icon"] = "Interface\\Icons\\Spell_Frost_FreezingBreath",
				["enable"] = true,
				["afflict"] = BS["Frost Trap Aura"],
				["stop"] = {
					BS["Immolation Trap"],
					BS["Freezing Trap"],
					BS["Explosive Trap"],
					L["Snake Trap"],
				},
				["start"] = L["Trap Arming"],
				["group"] = "default",
			},
			[L["Snake Trap"] ] = {
				["duration"] = 60,
				["icon"] = "Interface\\Icons\\Ability_Hunter_SnakeTrap",
				["group"] = "default",
				["enable"] = true,
				["stop"] = {
					BS["Immolation Trap"],
					BS["Frost Trap"],
					BS["Explosive Trap"],
					BS["Freezing Trap"],
				},
				["start"] = L["Trap Arming"],
			},
			[BS["Bestial Wrath"] ] = {
				["duration"] = 18,
				["icon"] = "Interface\\Icons\\Ability_Druid_FerociousBite",
				["enable"] = true,
				["group"] = "default",
			},
			[BS["Explosive Trap"] ] = {
				["duration"] = 60,
				["icon"] = "Interface\\Icons\\Spell_Fire_SelfDestruct",
				["enable"] = true,
				["afflict"] = BS["Explosive Trap Effect"],
				["stop"] = {
					BS["Immolation Trap"],
					BS["Frost Trap"],
					BS["Freezing Trap"],
					L["Snake Trap"],
				},
				["start"] = L["Trap Arming"],
				["group"] = "default",
			},
			[BS["Flare"] ] = {
				["duration"] = 30,
				["icon"] = "Interface\\Icons\\Spell_Fire_Flare",
				["enable"] = true,
				["multiple"] = true,
				["group"] = "default",
			},
			[BS["Wing Clip"] ] = {
				["enable"] = true,
				["afflict"] = { BS["Wing Clip"], BS["Improved Wing Clip"] },
			},
			[BS["Concussive Shot"] ] = {
				["enable"] = true,
				["duration"] = 4,
				["afflict"] = BS["Improved Concussive Shot"],
				["icon"] = "Interface\\Icons\\Spell_Frost_Stun",	
				["group"] = "default",
				["target"] = true,
				["hostile"] = 1,
			},
			[BS["Hunter's Mark"] ] = {
				["enable"] = true,
				["duration"] = 120,
				["icon"] = "Interface\\Icons\\Ability_Hunter_SniperShot",	
				["group"] = "default",
				["target"] = true,
				["hostile"] = 1,
				["stopother"] = true,
			},
			[BS["Intimidation"] ] = {
				["enable"] = true,
				["duration"] = 15,
				["aoeafflict"] = BS["Intimidation"],
				["icon"] = "Interface\\Icons\\Ability_Devour",
				["group"] = "default",
			},
			[BS["Scare Beast"] ] = {
				["enable"] = true,
				["afflict"] = BS["Scare Beast"],
			},
			[BS["Wyvern Sting"] ] = {
				["enable"] = true,
				["duration"] = 12,
				["icon"] = "Interface\\Icons\\INV_Spear_02",
				["target"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["diminishing"] = L["Disorients"];
			},
			[BS["Counterattack"] ] = {
				["enable"] = true,
				["afflict"] = BS["Counterattack"],
			},
			[L["Kill Command"] ] = {
				["stop"] = L["Kill Command"],
				["enable"] = true,
			},
			[L["Silencing Shot"] ] = {
				["duration"] = 3;
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Ability_TheBlackArrow",
				["target"] = true,
				["group"] = "default",
			},
		},
		["aoeDebuffs"] = {
			[BS["Intimidation"] ] = {
				["icon"] = "Interface\\Icons\\Ability_Devour",
				["target"] = true,
				["duration"] = 3,
				["delay"] = 15,
				["charges"] = 1,
				["stop"] = "Intimidation",
				["group"] = "default",
			}
		},
		["debuffs"] = { --'afflict' spells
			[BS["Freezing Trap Effect"] ] = {
				["diminishing"] = L["Disorients"],
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Frost_ChainsOfice",
				["stop"] = BS["Freezing Trap"],
				["delay"] = 60,
				["group"] = "default",
				["talent"] = {
					["tab"] = 3,
					["num"] = 8,
					["durmult"] = .15,
				},
				["ranks"] = { 10, 15, 20 },
			},
			[BS["Counterattack"] ] = {
				["duration"] = 5,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Challange",
				["group"] = "default",
				["stop"] = BS["Counterattack"],
			},
			[BS["Immolation Trap Effect"] ] = {
				["duration"] = 15,
				["target"] = true,
				["delay"] = 60,
				["icon"] = "Interface\\Icons\\Spell_Fire_FlameShock",
				["stop"] = BS["Immolation Trap"],
				["group"] = "default",
			},
			[BS["Frost Trap Aura"] ] = {
				["duration"] = 30,
				["icon"] = "Interface\\Icons\\Spell_Frost_FreezingBreath",
				["stop"] = BS["Frost Trap"],
				["group"] = "default",
				["delay"] = 60,
				["aoeafflict"] = BS["Entrapment"],
				["talent"] = {
					["tab"] = 3,
					["num"] = 8,
					["durmult"] = .15,
				},
			},
			[BS["Explosive Trap Effect"] ] = {
				["duration"] = 20,
				["icon"] = "Interface\\Icons\\Spell_Fire_SelfDestruct",
				["stop"] = BS["Explosive Trap"],
				["delay"] = 60,
				["group"] = "default",
			},
			[BS["Improved Concussive Shot"] ] = {
				["duration"] = 3,
				["delay"] = 2,
				["icon"] = "Interface\\Icons\\Spell_Frost_Stun",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Wing Clip"] ] = {
				["duration"] = 10,
				["icon"] = "Interface\\Icons\\Ability_Rogue_Trip",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Improved Wing Clip"] ] = {
				["duration"] = 10,
				["icon"] = "Interface\\Icons\\Ability_Rogue_Trip",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Scare Beast"] ] = {
				["ranks"] = {10, 15, 20},
				["icon"] = "Interface\\Icons\\Ability_Druid_Cower",
				["target"] = true,
				["group"] = "default",
				["diminishing"] = L["Fear"],
			},
			[BS["Scatter Shot"] ] = {
				["duration"] = 4,
				["icon"] = "Interface\\Icons\\Ability_GolemStormBolt",
				["target"] = true,
				["group"] = "default",
			},
		},

		["castSpells"] = {

		},
		["castDamageSpells"] = {
			[BS["Explosive Trap Effect"] ] = {
				["duration"] = 20,
				["icon"] = "Interface\\Icons\\Spell_Fire_SelfDestruct",
				["enable"] = true,
				["stop"] = BS["Explosive Trap"],
				["disable"] = BS["Explosive Trap Effect"],
				["group"] = "default",
			},
			["Iron Grenade"] = {
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\INV_Misc_Bomb_08",
				["enable"] = true,
				["group"] = "default",
			},
			[BS["Wing Clip"] ] = {
				["refresh"] = BS["Wing Clip"],
				["enable"] = true,
			},
			[L["Snake Trap"] ] = {
				["start"] = L["Snakes"],
				["icon"] = "Interface\\Icons\\Ability_Hunter_SnakeTrap",
				["enable"] = true,
				["stop"] = L["Snake Trap"],
				["group"] = "default",
			},

		},
		["onDodge"] = {
			[BS["Mongoose Bite"] ] = {
				["duration"] = 5,
				["icon"] = "Interface\\Icons\\Ability_Hunter_SwiftStrike",
				["enable"] = true,
				["group"] = "default",
			},
		},
		["onParry"] = {
			[BS["Counterattack"] ] = {
				["duration"] = 5,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Challange",
				["talent"] = {
					["tab"] = 3,
					["num"] = 16,
					["enable"] = true,
				},
				["group"] = "default",
			},
		},
		["onDebuff"] = {
			[L["Expose Weakness"] ] = {
				["duration"] = 7,
				["icon"] = "Interface\\Icons\\Ability_Rogue_FindWeakness",
				["enable"] = true,
				["group"] = "default",
				["target"] = true,
			},
		},
		["onCrit"] = {
			[L["Kill Command"] ] = {
				["duration"] = 5,
				["icon"] = "Interface\\Icons\\Ability_Hunter_KillCommand",
				["group"] = "default",
				["level"] = 66,
			},
		},
		["special"] = {
			[L["Trap Arming"] ] = {
				["duration"] = 2;
			},
			[L["Snakes"] ] = {
				["duration"] = 15,
			},
		},
		["onSelfBuff"] = {
			[BS["Quick Shots"] ] = {
				["enable"] = true,
				["group"] = "default",
			},
			[L["Master Tactician"] ] = {
				["enable"] = true,
				["group"] = "default",
			},
			[BS["Rapid Fire"] ] = {
				["enable"] = true,
				["group"] = "default",
			},
		},
		["diminish"] = {
			[L["Disorients"] ] = {},
			[L["Fear"] ] = {},
		},
	}, BS["Track Beasts"]
end
