local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetMage() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Frostbolt"] ] = {
				["ranks"] = { 5, 6, 6, 7, 7, 8, 8, 9, 9, 9, 9},
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Frost_FrostBolt02",
				["group"] = "default",
				["target"] = true,
			},
			[BS["Frost Nova"] ] = {
				["aoeafflict"] = BS["Frost Nova"];
				["enable"] = true,
			},
			[BS["Polymorph"] ] = {
				["ranks"] = { 20, 30, 40, 50 },
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Polymorph",
				["group"] = "default",
				["target"] = true,
				["diminishing"] = BS["Polymorph"],
			},
			[L["Polymorph: Pig"] ] = {
				["duration"] = 50,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Polymorph",
				["group"] = "default",
				["target"] = true,
				["diminishing"] = BS["Polymorph"],
			},
			[L["Polymorph: Cow"] ] = {
				["duration"] = 50,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Polymorph",
				["group"] = "default",
				["target"] = true,
				["diminishing"] = BS["Polymorph"],
			},
			[L["Polymorph: Turtle"] ] = {
				["duration"] = 50,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Polymorph",
				["group"] = "default",
				["target"] = true,
				["diminishing"] = BS["Polymorph"],
			},
			[L["Summon Water Elemental"] ] = {
				["duration"] = 45,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Frost_SummonWaterElemental_2",
				["group"] = "default",
			},
			[BS["Cone of Cold"] ] = {
				["aoeafflict"] = BS["Cone of Cold"],
				["enable"] = true,
			},
			[L["Dragon's Breath"] ] = {
				["aoeafflict"] = L["Dragon's Breath"],
				["enable"] = true,
			},
			[L["Slow"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Spell_Nature_Slow",
				["enable"] = true,
				["group"] = "default",
				["target"] = true,
			},
			[BS["Counterspell"] ] = {
				["interrupt"] = true,
				["enable"] = true,
				["target"] = true,
				["duration"] = 10,
				["name"] = BS["Counterspell"],
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Spell_Nature_WispSplode",
			},
			
		},
		["aoeDebuffs"] = {
			[BS["Frost Nova"] ] = {
				["duration"] = 8,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Frost_FrostNova",
				["group"] = "default",
			},
			[BS["Cone of Cold"] ] = {
				["duration"] = 8,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Frost_Glacier",
				["group"] = "default"
			},
			[L["Dragon's Breath"] ] = {
				["duration"] = 3,
				["target"] = true,
				["icon"] = "Interface\\Icons\\INV_Misc_Head_Dragon_01",
				["group"] = "default",
			},
		},
		["debuffs"] = { --'afflict' spells
			[BS["Fire Vulnerability"] ] = {
				["duration"] = 30,
			},
		},
		["buffs"] = { --'gain' spells
		},
		["castSpells"] = {
		
		
		},
		["castDamageSpells"] = {
			[BS["Scorch"] ] = {
				["refresh"] = BS["Fire Vulnerability"],
				["talent"] = {
					["tab"] = 2,
					["num"] = 10,
					["enable"] = true,
				},
				["target"] = true,
				["afflict"] = true,
			},
		},
		["onDebuff"] = {
			[BS["Frostbite"] ] = {
				["duration"] = 5,
				["icon"] = "Interface\\Icons\\Spell_Frost_FrostArmor",
				["group"] = "default",
				["target"] = true,
				["talent"] = {
					["tab"] = 3,
					["num"] = 5,
					["enable"] = true,
				},
			},
			[BS["Fire Vulnerability"] ] = {
				["duration"] = 30,
				["icon"] = "Interface\\Icons\\Spell_Fire_SoulBurn",
				["group"] = "default",
				["target"] = true,
				["talent"] = {
					["enable"] = true,
					["tab"] = 2,
					["num"] = 10,
				},
			},
		},
		["onCrit"] = {
			[BS["Ignite"] ] = {
				["duration"] = 4,
				["icon"] = "Interface\\Icons\\Spell_Fire_Incinerate",
				["group"] = "default",
				["target"] = true,
				["talent"] = {
					["tab"] = 2,
					["num"] = 3,
					["enable"] = true,
				},
				["check"] = {
					[BS["Blast Wave"] ] = true,
					[BS["Fire Blast"] ] = true,
					[L["Dragon's Breath"] ] = true,
					[BS["Fireball"] ] = true,
					[BS["Flamestrike"] ] = true,
					[BS["Pyroblast"] ] = true,
					[BS["Scorch"] ] = true,
				},
			},
		},
		["special"] = {
		},
		["diminish"] = {
			[BS["Polymorph"] ] = {},
		},
	}, BS["Arcane Intellect"];
end