local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetRogue() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Gouge"] ] = {
				["afflict"] = BS["Gouge"],
				["enable"] = true,
			},
			[BS["Garrote"] ] = {
				["afflict"] = BS["Garrote"],
				["enable"] = true,
			},
			[BS["Sap"] ] = {
				["afflict"] = BS["Sap"],
				["enable"] = true,
			},
			[BS["Kidney Shot"] ] = {
				["afflict"] = BS["Kidney Shot"],
				["enable"] = true,
			},
			[BS["Cheap Shot"] ] = {
				["afflict"] = BS["Cheap Shot"],
				["enable"] = true,
			},
			[BS["Rupture"] ] = {
				["enable"] = true,
				["afflict"] = BS["Rupture"],
			},
			[BS["Distract"] ] = {
				["duration"] = 10,
				["enable"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Rogue_Distract",
			},
			[BS["Expose Armor"] ] = {
				["enable"] = true,
				["afflict"] = BS["Expose Armor"],
			},
			[BS["Blind"] ] = {
				["enable"] = true,
				["afflict"] = BS["Blind"],
			},
			[BS["Hemorrhage"] ] = {
				["enable"] = true,
				["afflict"] = BS["Hemorrhage"],
			},
			[BS["Kick"] ] = {
				["enable"] = true,
				["duration"] = 5,
				["intterrupt"] = true,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Kick",
				["group"] = "default",
				["name"] = BS["Kick"],
			},
			[BS["Riposte"] ] = {
				["enable"] = true,
				["duration"] = 6,
				["target"] = true,
				["stop"] = BS["Riposte"],
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Warrior_Challange",
			},
		},

		["debuffs"] = { --'afflict' spells
			[BS["Gouge"] ] = {
				["duration"] = 4,
				["target"] = true,
				["diminish"] = L["Disorients"],
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Gouge",
				["talent"] = {
					["tab"] = 2,
					["num"] = 1,
					["duration"] = 0.5,
				},
			},
			[BS["Garrote"] ] = {
				["duration"] = 18,
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Rogue_Garrote",
			},
			[BS["Sap"] ] = {
				["ranks"] = { 25, 35, 45 },
				["diminishing"] = L["Disorients"],
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Sap",
			},
			[BS["Kidney Shot"] ] = {
				["ranks"] = { {
						["points"] = { 1, 2, 3, 4, 5 },
					},
					{
						["points"] = { 2, 3, 4, 5, 6 },
					},
				},
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Rogue_KidneyShot",
			},
			[BS["Cheap Shot"] ] = {
				["duration"] = 4,
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_CheapShot",
			},
			[BS["Rupture"] ] = {
				["points"] = { 8, 10, 12, 14, 16 },
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Rogue_Rupture",
			},
			[BS["Expose Armor"] ] = {
				["duration"] = 30,
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Ability_Warrior_Riposte",
			},
			[BS["Blind"] ] = {
				["duration"] = 10,
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
			[BS["Hemorrhage"] ] = {
				["duration"] = 30,
				["target"] = true,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Spell_Shadow_LifeDrain",
			},

		},
		["buffs"] = { --'gain' spells
		},
		["castSpells"] = {
		
		
		},
		["onParry"] = {
			[BS["Riposte"] ] = {
				["talent"] = {
					["tab"] = 2,
					["num"] = 8,
					["enable"] = true,
				},
				["duration"] = 6,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Challange",
				["group"] = "default",
			},
		},
		["castDamageSpells"] = {
			
		},
		["special"] = {
		},
		["diminish"] = {
			[L["Disorients"] ] = {},
		},
	}, BS["Sinister Strike"];
end