local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetWarlock() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Curse of Exhaustion"] ] = {
				["duration"] = 12,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_GrimWard",
				["group"] = "default",
			},
			[L["Unstable Affliction"] ] = {
				["duration"] = 18,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_UnstableAffliction_3",
				["group"] = "default",
			},
			[BS["Corruption"] ] = {
				["duration"] = 18,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_AbominationExplosion",
				["group"] = "default",
			},
			[BS["Curse of Agony"] ] = {
				["duration"] = 24,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_CurseOfSargeras",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of the Elements"], BS["Curse of Shadow"], BS["Curse of Weakness"], BS["Curse of Tongues"], BS["Curse of Doom"], BS["Curse of Recklessness"]}
			},
			[BS["Curse of Exhaustion"] ] = {
				["duration"] = 12,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_GrimWard",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Agony"], BS["Curse of the Elements"], BS["Curse of Shadow"], BS["Curse of Weakness"], BS["Curse of Tongues"],  BS["Curse of Doom"], BS["Curse of Recklessness"]}
			},
			[BS["Curse of the Elements"] ] = {
				["duration"] = 300,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of Agony"], BS["Curse of Shadow"], BS["Curse of Weakness"], BS["Curse of Tongues"], BS["Curse of Doom"], BS["Curse of Recklessness"] }
			},
			[BS["Curse of Shadow"] ] = {
				["duration"] = 300,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_CurseOfAchimonde",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of the Elements"], BS["Curse of Agony"], BS["Curse of Weakness"], BS["Curse of Tongues"], BS["Curse of Doom"], BS["Curse of Recklessness"] }
			},
			[BS["Curse of Weakness"] ] = {
				["duration"] = 120,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_CurseOfMannoroth",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of the Elements"], BS["Curse of Shadow"], BS["Curse of Agony"], BS["Curse of Tongues"], BS["Curse of Doom"], BS["Curse of Recklessness"] }
			},
			[BS["Curse of Tongues"] ] = {
				["duration"] = 30,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_CurseOfTongues",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of the Elements"], BS["Curse of Shadow"], BS["Curse of Agony"], BS["Curse of Weakness"], BS["Curse of Doom"], BS["Curse of Recklessness"] }
			},
			[BS["Curse of Doom"] ] = {
				["duration"] = 60,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_AuraOfDarkness",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of the Elements"], BS["Curse of Shadow"], BS["Curse of Agony"], BS["Curse of Weakness"], BS["Curse of Tongues"], BS["Curse of Recklessness"] }
			},
			[BS["Curse of Recklessness"] ] = {
				["duration"] = 120,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_UnholyStrength",
				["group"] = "default",
				["stopunit"] = true,
				["stop"] = { BS["Curse of Exhaustion"], BS["Curse of the Elements"], BS["Curse of Shadow"], BS["Curse of Agony"], BS["Curse of Weakness"], BS["Curse of Doom"], BS["Curse of Tongues"]}
			},
			[BS["Siphon Life"] ] = {
				["duration"] = 30,
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_Requiem",
				["group"] = "default",
			},
			[BS["Fear"] ] = {
				["enable"] = true,
				["afflict"] = BS["Fear"],
			},
			[BS["Death Coil"] ]= {
				["enable"] = true,
				["duration"] = 3,
				["target"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Spell_Shadow_DeathCoil",
			},
			[BS["Howl of Terror"] ] = {
				["enable"] = true,
				["aoeafflict"] = BS["Howl of Terror"],
			},
			[BS["Banish"] ] = {
				["ranks"] = { 20, 30 },
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_Cripple",
				["group"] = "default",
			},
			[BS["Immolate"] ] = {
				["talent"] = {
					["num"] = 4,
					["tab"] = 3,
					["enable"] = true,
					["afflict"] = BS["Aftermath"],
				},
			},
			[BS["Searing Pain"] ] = {
				["talent"] = {
					["num"] = 4,
					["tab"] = 3,
					["enable"] = true,
					["afflict"] = BS["Aftermath"],
				},
			},
			[BS["Shadow Bolt"] ] = {
				["talent"] = {
					["num"] = 4,
					["tab"] = 3,
					["enable"] = true,
					["afflict"] = BS["Aftermath"],
				},
			},
			[BS["Soul Fire"] ] = {
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 4,
							["afflict"] = BS["Aftermath"],
							["enable"] = true,
						},
						{
							["tab"] = 3,
							["num"] = 12,
							["afflict"] = BS["Pyroclasm"],
							["enable"] = true,
						},
					},
				},
			},
			[BS["Rain of Fire"] ] = {
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 4,
							["afflict"] = BS["Aftermath"],
							["enable"] = true,
						},
						{
							["tab"] = 3,
							["num"] = 12,
							["afflict"] = BS["Pyroclasm"],
							["enable"] = true,
						},
					},
				},
			},
			[BS["Hellfire"] ] = {
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 4,
							["afflict"] = BS["Aftermath"],
							["enable"] = true,
						},
						{
							["tab"] = 3,
							["num"] = 12,
							["afflict"] = BS["Pyroclasm"],
							["enable"] = true,
						},
					},
				},
			},
			[BS["Conflagrate"] ] = {
				["stop"] = BS["Immolate"],
				["stopunit"] = true,
				["hostile"] = 1,
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 18,
							["enable"] = true,
						},
						{
							["tab"] = 3,
							["num"] = 4,
							["afflict"] = BS["Aftermath"],
						},
						{
							["tab"] = 3,
							["num"] = 12,
							["afflict"] = BS["Pyroclasm"],
						},
					},
				},
			},
			[L["Seed of Corruption"] ] = {
				["duration"] = 18,
				["target"] = true,
				["hostile"] = 1,
				["icon"] = "Interface\\Icons\\Spell_Shadow_SeedOfDestruction",
				["enable"] = true,
				["group"] = "default",
			},
		},
		
		["aoeDebuffs"] = {
			[BS["Howl of Terror"] ] = {
				["duration"] = 15,
				["delay"] = 10,
				["icon"] = "Interface\\Icons\\Spell_Shadow_DeathScream",
				["target"] = true,
				["group"] = "default",
				["diminishing"] = L["Fear/Seduce"];
			},
		},

		["debuffs"] = { --'afflict' spells
			[BS["Fear"] ] = {
				["diminishing"] = L["Fear/Seduce"],
				["ranks"] = { 10, 15, 20 },
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Shadow_Possession",
				["group"] = "default",
			},
			[BS["Aftermath"] ] = {
				["duration"] = 5,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Fire_Fire",
				["group"] = "default",
			},
			[BS["Pyroclasm"] ] = {
				["duration"] = 3,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Fire_Volcano",
				["group"] = "default",
			},
		},
		["buffs"] = { --'gain' spells
		},
		["castSpells"] = {
		
		},
		["castDamageSpells"] = {
			[BS["Immolate"] ] = {
				["duration"] = 15,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Fire_Immolation",
				["group"] = "default",
				["target"] = true,
			},
			
		},
		["special"] = {
		},
		["diminishing"] = {
			[L["Fear/Seduce"] ] = {	},
		},
	}, BS["Shadow Bolt"];
end