local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetWarrior() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Charge"] ] = {
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["afflict"] = BS["Charge Stun"],
			},
			[BS["Sunder Armor"] ] = {
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["afflict"] = BS["Sunder Armor"],
				["refresh"] = BS["Sunder Armor"],
			},
			[BS["Hamstring"] ] = {
				["target"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["afflict"] = BS["Hamstring"],
			},
			[BS["Overpower"] ] = {
				["stop"] = BS["Overpower"],
				["refresh"] = "dummy",
				["enable"] = true,
			},
			[BS["Revenge"] ] = {
				["stop"] = BS["Revenge"],
				["refresh"] = "dummy",
				["enable"] = true,
			},
			[BS["Piercing Howl"] ] = {
				["duration"] = 6,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Shadow_DeathScream",
				["group"] = "default",
			},
			[BS["Intimidating Shout"] ] = {
				["enable"] = true,
				["aoeafflict"] = BS["Intimidating Shout"],
			},
			[BS["Challenging Shout"] ] = {
				["enable"] = true,
				["aoeafflict"] = BS["Challenging Shout"],
			},
			[BS["Taunt"] ] = {
				["afflict"] = BS["Taunt"],
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
			},
			[BS["Demoralizing Shout"] ] = {
				["duration"] = 30,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_WarCry";
				["group"] = "default",
				["talent"] = {
					["num"] = 1,
					["tab"] = 2,
					["durmult"] = .1,
				},
				["enable"] = true,
			},
			[BS["Intercept"] ] = {
				["afflict"] = BS["Intercept Stun"],
				["enable"] = true,
				["hostile"] = 1,
				["target"] = true,
			},
			[BS["Pummel"] ] = {
				["interrupt"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["target"] = true,
				["duration"] = 5,
				["name"] = BS["Pummel"],
				["group"] = "default",
				["icon"] = "Interface\\Icons\\INV_Gauntlets_04",
			},
			[BS["Rend"] ] = {
				["refresh"] = BS["Rend"],
				["afflict"] = BS["Rend"],
				["target"] = true,
				["hostile"] = 1,
				["enable"] = true,
			},
			[BS["Shield Bash"] ] = {
				["icon"] = "Interface\\Icons\\Ability_warrior_ShieldBash",
				["interrupt"] = true,
				["enable"] = true,
				["hostile"] = 1,
				["target"] = true,
				["duration"] = 6,
				["name"] = BS["Shield Bash"],
				["group"] = "default",
			},
			[BS["Mocking Blow"] ] = {
				["afflict"] = BS["Mocking Blow"],
				["enable"] = true,
				["hostile"] = 1,
				["target"] = true,
			},
			[BS["Thunder Clap"] ] = {
				["aoeafflict"] = BS["Thunder Clap"],
				["enable"] = true,
			},
			[BS["Mortal Strike"] ] = {
				["afflict"] = BS["Mortal Strike"],
				["refresh"] = BS["Mortal Strike"],
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
			},
			[BS["Disarm"] ] = {
				["afflict"] = BS["Disarm"],
				["enable"] = true,
				["target"] = true,
				["hostile"] = 1,
			},
			[L["Victory Rush"] ] = {
				["enable"] = true,
				["refresh"] = "dummy",
				["stop"] = L["Victory Rush"],
			},
		},
		["aoeDebuffs"] = {
			[BS["Challenging Shout"] ] = {
				["duration"] = 6,
				["icon"] = "Interface\\Icons\\Ability_BullRush",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Intimidating Shout"] ] = {
				["duration"] = 8,
				["icon"] = "Interface\\Icons\\Ability_GolemThunderClap",
				["target"] = true,
				["group"] = "default",
			},
			[BS["Thunder Clap"] ] = {
				["duration"] = 30,
				["icon"] = "Interface\\Icons\\Spell_Nature_ThunderClap",
				["target"] = true,
				["group"] = "default",
			},
		},
		["canDie"] = {
		},
		["debuffs"] = { --'afflict' spells
			[BS["Charge Stun"] ] = {
				["duration"] = 1,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Charge",
				["group"] = "default",
				["diminishing"] = L["Active Stuns"],
			},
			[BS["Sunder Armor"] ] = {
				["duration"] = 30,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Sunder",
				["group"] = "default",
			},
			[BS["Hamstring"] ] = {
				["duration"] = 15,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_ShockWave",
				["group"] = "default",
			},
			[BS["Intercept Stun"] ] = {
				["duration"] = 3,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Rogue_Sprint",
				["group"] = "default",
				["diminishing"] = L["Active Stuns"],
			},
			[BS["Mocking Blow"] ] = {
				["duration"] = 6,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_PunishingBlow",
				["group"] = "default",
			},
			[BS["Rend"] ] = {
				["duration"] = 21,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Gouge",
				["group"] = "default",
			},
			[BS["Mortal Strike"] ] = {
				["duration"] = 10,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_SavageBlow",
				["group"] = "default",
			},
			[BS["Disarm"] ] = {
				["duration"] = 10,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Disarm",
				["group"] = "default",
				["talent"] = {
					["tab"] = 3,
					["num"] = 11,
					["duration"] = .1,
				},
			},
			[BS["Taunt"] ] = {
				["duration"] = 3,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Reincarnation",
				["group"] = "default",
			},
		},
		["buffs"] = { --'gain' spells
		},
		["castSpells"] = {
		
		
		},
		["castDamageSpells"] = {
			[BS["Thunder Clap"] ] = {
				["refresh"] = BS["Thunder Clap"],
				["enable"] = true,
				["target"] = true,
				["aoeafflict"] = true,
			},
			[BS["Hamstring"] ] = {
				["enable"] = true,
				["target"] = true,
				["refresh"] = BS["Hamstring"],
			},
			[L["Devastate"] ] = {
				["enable"] = true,
				["target"] = true,
				["refresh"] = BS["Sunder Armor"],
				["afflict"] = true,
			},
		},
		["special"] = {
		},
		["onEnemyDodge"] = {
			[BS["Overpower"] ] = {
				["duration"] = 5,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Ability_MeleeDamage",
				["group"] = "default",
			},
		},
		["onEnemyParry"] = {
		},
		["onDodge"] = {
			[BS["Revenge"] ] = {
				["duration"] = 5,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Revenge",
				["group"] = "default",
			},
		},
		["onParry"] = {
			[BS["Revenge"] ] = {
				["duration"] = 5,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Revenge",
				["group"] = "default",
			},
		},
		["onDebuff"] = {
			[L["Mace Stun Effect"] ] = {
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\Spell_Frost_Stun",
				["group"] = "default",
				["target"] = true,
				["talent"] = {
					["enable"] = true,
					["tab"] = 1,
					["num"] = 14,
				},
				["diminishing"] = L["Passive Stuns"],
				["alwaysdiminish"] = true,
			},
		},
		["onKill"] = {
			[L["Victory Rush"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Devastate",
				["group"] = "default",
				["level"] = 62,
			},
		},
		["onBlock"] = {
			[BS["Revenge"] ] = {
				["duration"] = 5,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Ability_Warrior_Revenge",
				["group"] = "default",
			},
		},
		["diminish"] = {
			[L["Active Stuns"] ] = {},
			[L["Passive Stuns"] ] = {},
		},
	}, BS["Battle Shout"];
end